<?php

/**
 * 运行示例: php example.php
 * 注意事项：
 * 1. 必须先联系运营人员配置好 IP 白名单
 * 2. 必须在又拍云手机流量后台配置回调地址，也可联系运营人员协助配置
 * 3. 示例使用的产品编码为 CMCC_10，联系运营人员协助配置
 * 4. 生产环境中，注意 token 的保存和管理，以及错误码的处理
 */

require __DIR__ . '/UpyunMobileStats.php';

// 修改以下三个变量
$APP_KEY = '请登录又拍云手机流量后台查看';
$APP_SECRET = '请登录又拍云手机流量后台查看';
$mobile = 18888888888; // 客户测试手机号

$custno = time();      // 实际生产环境使用自己的订单号

$client = new UpyunMobileStats($APP_KEY, $APP_SECRET);
/* 
 * 接口第一次调用时使用该方法获取 token
 */
$token = $client->getToken();
echo '获取 TOKEN: ' . $token . "\n";

/*
 * 因为 token 只有最新获取的一次才有效，有效期 24 小时
 * 所以在实际生产环境中，应该注意 token 的保存和管理
 */
$client->setToken($token);

/**
 * 查询余额
 */
echo '账户余额：' . $client->queryBalance()['balance'] . "\n";

/**
 * 创建流量包充值订单
 */
$info = $client->createOrder('CMCC_10', $custno, $mobile);
echo '订单 ' . $info['custno'] . ' 下单：' . $info['info'] . '，又拍平台订单号为：' . $info['orderno'];


/**
 * 查询订单状态
 */
$status = $client->queryOrder($custno, date('Y-m-d H:i:s', $custno));
echo '订单 ' . $info['custno'] . ' 当前状态为' . $info['info'];

